/**Begin E:\PDM\PDM1\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INT_CURRENCYEXRULE' AND KSQL_COL_NAME ='FEXRATESYNC') 
 ALTER TABLE T_INT_CURRENCYEXRULE ADD (FEXRATESYNC CHAR(1) DEFAULT '0' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INT_EXRATESYNC_ENTRY') 
 CREATE TABLE T_INT_EXRATESYNC_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(64) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_EXRATESYNC_GUIDE') 
 CREATE TABLE T_BD_EXRATESYNC_GUIDE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(64) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(64) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(64) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(64) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_EXRATESYNC_GUIDE_L') 
 CREATE TABLE T_BD_EXRATESYNC_GUIDE_L (
FPKID VARCHAR(64) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(64) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(64) DEFAULT ' ' NOT NULL
);


/**End E:\PDM\PDM1\BOS_table.sql **/
